For Developers

Create Credential

POST https://ed.link/api/v2/teams/:team_id/applications/:application_id/credentials

Creates a new API secret key for the application.

Permissions

Requires the credentials.update system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:application_idUUIDYesThe ID of the application.

Request Body

PropertyTypeRequiredDescription
nameStringNoLabel for the key (defaults to API Key).

Sample Request

const response = await axios.post(
    `https://ed.link/api/v2/teams/${team_id}/applications/${application_id}/credentials`,
    {
        name: "Backend Ingestion Server Key"
    },
    {
        headers: {
            authorization: `Bearer ${user_session_token}`
        }
    }
);

Sample Response

{
    "$data": {
        "id": "8aa73a24-c279-4a45-9123-9cda31cc316b",
        "created_date": "2024-01-15T08:00:00.000Z",
        "name": "Backend Ingestion Server Key",
        "secret": "sk_live_948f2a...c01"
    }
}